org.acplt.oncrpc

## Class OncRpcProgramNotRegisteredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.acplt.oncrpc.OncRpcException
      - - org.acplt.oncrpc.OncRpcProgramNotRegisteredException

All Implemented Interfaces:
  java.io.Serializable

    public class OncRpcProgramNotRegisteredException
    extends OncRpcException

The class `OncRpcProgramNotRegisteredException` indicates that the requests ONC/RPC program is not available at the specified host.

Version:
  $Revision: 1.2 $ $Date: 2005/11/11 21:03:30 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Defines the serial version UID for `OncRpcProgramNotRegisteredException`.

### Fields inherited from class org.acplt.oncrpc.OncRpcException

`RPC_AUTHERROR, RPC_BUFFEROVERFLOW, RPC_BUFFERUNDERFLOW, RPC_CANNOTREGISTER, RPC_CANTDECODEARGS, RPC_CANTDECODERES, RPC_CANTENCODEARGS, RPC_CANTRECV, RPC_CANTSEND, RPC_FAILED, RPC_PMAPFAILURE, RPC_PROCUNAVAIL, RPC_PROGNOTREGISTERED, RPC_PROGUNAVAIL, RPC_PROGVERSMISMATCH, RPC_SUCCESS, RPC_SYSTEMERROR, RPC_TIMEDOUT, RPC_UNKNOWNPROTO, RPC_VERSMISMATCH, RPC_WRONGMESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`OncRpcProgramNotRegisteredException()` Constructs an ONC/RPC program not registered exception with a detail code of `OncRpcException.RPC_PROGNOTREGISTERED` and an appropriate clear-text detail message.

### Method Summary

### Methods inherited from class org.acplt.oncrpc.OncRpcException

`getMessage, getReason`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Defines the serial version UID for `OncRpcProgramNotRegisteredException`.

See Also:
  Constant Field Values

### Constructor Detail

#### OncRpcProgramNotRegisteredException

    public OncRpcProgramNotRegisteredException()

Constructs an ONC/RPC program not registered exception with a detail code of `OncRpcException.RPC_PROGNOTREGISTERED` and an appropriate clear-text detail message.